Error
A valid request URL is required to generate request examples{
"__typename": "MediaImage",
"id": "<string>",
"fileStatus": "UPLOADED",
"fileErrors": [
{
"code": "UNKNOWN",
"details": "<string>",
"message": "<string>"
}
],
"mediaContentType": "VIDEO",
"alt": "<string>",
"image": {
"altText": "<string>",
"height": 123,
"id": "<string>",
"url": "<unknown>",
"width": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Upload
Uploads media to shopify and waits until the file is ready in Shopify.
POST
/
media
/
{merchant_id}
/
upload
Error
A valid request URL is required to generate request examples{
"__typename": "MediaImage",
"id": "<string>",
"fileStatus": "UPLOADED",
"fileErrors": [
{
"code": "UNKNOWN",
"details": "<string>",
"message": "<string>"
}
],
"mediaContentType": "VIDEO",
"alt": "<string>",
"image": {
"altText": "<string>",
"height": 123,
"id": "<string>",
"url": "<unknown>",
"width": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Query Parameters
The collection in which the merchant is when uploading the media. Used to determine the related collections.
Alt text for the uploaded file
Body
multipart/form-data
Response
Successful Response
- GetMediaInfoNodeMediaImage
- GetMediaInfoNodeVideo
Available options:
MediaImage Allowed value:
"MediaImage"Available options:
UPLOADED, PROCESSING, READY, FAILED Show child attributes
Show child attributes
Available options:
VIDEO, EXTERNAL_VIDEO, MODEL_3D, IMAGE Show child attributes
Show child attributes
Was this page helpful?

